create or replace function binfs.drop(istore varchar, ikey anyelement) returns integer as $$
declare
	res integer;
	path text;
begin
	select into path binfs.path(istore,ikey);
	if path isnull then
		return -1;
	end if;
	perform binfs._meta_drop(path);
	select into res binfs.rm(path);
	return res;
end;
$$ language plpgsql;	
