create table if not exists binfs.stats (
	moment timestamptz not null default now(),
	store text,
	size bigint,
	count bigint,
	ftimemin timestamptz,
	ftimemax timestamptz,
	pathmin text,
	pathmax text
);

DO $$
BEGIN
IF to_regclass('binfs.i_binfs_stats_store') IS NULL THEN
    CREATE INDEX i_binfs_stats_store ON binfs.stats USING btree (store,moment desc);
END IF;
END$$;

