CREATE or replace FUNCTION locked(iname text) RETURNS boolean as $$
declare
uname text;
begin
	uname := name from core.lock where name = iname for update nowait;
	return false;
exception when lock_not_available then
	return true;
end;
$$ language plpgsql;
