CREATE or replace FUNCTION core.version(imodule character varying) RETURNS text AS $$
	select 
		major::text||'.'||minor::text||'.'||release::text 
	from core.version 
	where module = $1 
	order by major desc, minor desc, release desc limit 1;
$$ language sql;

