delete from lib.encodings;

insert into lib.encodings ( mib,section,encoding ) values
	( 3, 'postgres', 'SQL_ASCII' ),
    ( 18, 'postgres', 'EUC_JP' ),
    ( 56, 'postgres', 'EUC_CN' ),
    ( 38, 'postgres', 'EUC_KR' ),
    ( 110001, 'postgres', 'EUC_TW' ),
    ( 110002, 'postgres', 'EUC_JIS_2004' ),
    ( 106, 'postgres', 'UTF8' ),
    ( 106, 'postgres', 'UNICODE' ),
    ( 110003, 'postgres', 'MULE_INTERNAL' ),
    ( 4, 'postgres', 'LATIN1' ),
    ( 5, 'postgres', 'LATIN2' ),
    ( 6, 'postgres', 'LATIN3' ),
    ( 7, 'postgres', 'LATIN4' ),
    ( 12, 'postgres', 'LATIN5' ),
    ( 13, 'postgres', 'LATIN6' ),
    ( 109, 'postgres', 'LATIN7' ),
    ( 110, 'postgres', 'LATIN8' ),
    ( 111, 'postgres', 'LATIN9' ),
    ( 112, 'postgres', 'LATIN10' ),
    ( 2256, 'postgres', 'WIN1256' ),
    ( 2258, 'postgres', 'WIN1258' ),
    ( 2086, 'postgres', 'WIN866' ),
    ( 2109, 'postgres', 'WIN874' ),
    ( 2084, 'postgres', 'KOI8R' ),
    ( 2251, 'postgres', 'WIN1251' ),
    ( 2252, 'postgres', 'WIN1252' ),
    ( 8, 'postgres', 'ISO_8859_5' ),
    ( 9, 'postgres', 'ISO_8859_6' ),
    ( 10, 'postgres', 'ISO_8859_7' ),
    ( 11, 'postgres', 'ISO_8859_8' ),
    ( 2250, 'postgres', 'WIN1250' ),
    ( 2253, 'postgres', 'WIN1253' ),
    ( 2254, 'postgres', 'WIN1254' ),
    ( 2255, 'postgres', 'WIN1255' ),
    ( 2257, 'postgres', 'WIN1257' ),
    ( 2088, 'postgres', 'KOI8U' ),
    ( 16, 'postgres', 'JIS' ),
    ( 2026, 'postgres', 'BIG5' ),
    ( 113, 'postgres', 'GBK' ),
    ( 110004, 'postgres', 'UHC' ),
    ( 114, 'postgres', 'GB18030' ),
    ( 110005, 'postgres', 'JOHAB' ),
    ( 110006, 'postgres', 'SHIFT_JIS_2004' )
;
insert into lib.encodings ( mib,section,encoding ) values
	( 3, 'pycodec', 'ascii' ),
    ( 3, 'pycodec', '646' ),
    ( 3, 'pycodec', 'us-ascii' ),
    ( 2026, 'pycodec', 'big5' ),
    ( 2026, 'pycodec', 'big5-tw' ),
    ( 2026, 'pycodec', 'csbig5' ),
    ( 2101, 'pycodec', 'big5hkscs' ),
    ( 2101, 'pycodec', 'big5-hkscs' ),
    ( 2101, 'pycodec', 'hkscs' ),
    ( 2028, 'pycodec', 'cp037' ),
    ( 2028, 'pycodec', 'IBM037' ),
    ( 2028, 'pycodec', 'IBM039' ),
    ( 2043, 'pycodec', 'cp424' ),
    ( 2043, 'pycodec', 'EBCDIC-CP-HE' ),
    ( 2043, 'pycodec', 'IBM424' ),
    ( 2011, 'pycodec', 'cp437' ),
    ( 2011, 'pycodec', '437' ),
    ( 2011, 'pycodec', 'IBM437' ),
    ( 2044, 'pycodec', 'cp500' ),
    ( 2044, 'pycodec', 'EBCDIC-CP-BE' ),
    ( 2044, 'pycodec', 'EBCDIC-CP-CH' ),
    ( 2044, 'pycodec', 'IBM500' ),
    ( 110007, 'pycodec', 'cp720' ),
    ( 110008, 'pycodec', 'cp737' ),
    ( 2087, 'pycodec', 'cp775' ),
    ( 2087, 'pycodec', 'IBM775' ),
    ( 2009, 'pycodec', 'cp850' ),
    ( 2009, 'pycodec', '850' ),
    ( 2009, 'pycodec', 'IBM850' ),
    ( 2010, 'pycodec', 'cp852' ),
    ( 2010, 'pycodec', '852' ),
    ( 2010, 'pycodec', 'IBM852' ),
    ( 2046, 'pycodec', 'cp855' ),
    ( 2046, 'pycodec', '855' ),
    ( 2046, 'pycodec', 'IBM855' ),
    ( 110009, 'pycodec', 'cp856' ),
    ( 2047, 'pycodec', 'cp857' ),
    ( 2047, 'pycodec', '857' ),
    ( 2047, 'pycodec', 'IBM857' ),
    ( 2089, 'pycodec', 'cp858' ),
    ( 2089, 'pycodec', '858' ),
    ( 2089, 'pycodec', 'IBM858' ),
    ( 2048, 'pycodec', 'cp860' ),
    ( 2048, 'pycodec', '860' ),
    ( 2048, 'pycodec', 'IBM860' ),
    ( 2049, 'pycodec', 'cp861' ),
    ( 2049, 'pycodec', '861' ),
    ( 2049, 'pycodec', 'CP-IS' ),
    ( 2049, 'pycodec', 'IBM861' ),
    ( 2013, 'pycodec', 'cp862' ),
    ( 2013, 'pycodec', '862' ),
    ( 2013, 'pycodec', 'IBM862' ),
    ( 2050, 'pycodec', 'cp863' ),
    ( 2050, 'pycodec', '863' ),
    ( 2050, 'pycodec', 'IBM863' ),
    ( 2051, 'pycodec', 'cp864' ),
    ( 2051, 'pycodec', 'IBM864' ),
    ( 2052, 'pycodec', 'cp865' ),
    ( 2052, 'pycodec', '865' ),
    ( 2052, 'pycodec', 'IBM865' ),
    ( 2086, 'pycodec', 'cp866' ),
    ( 2086, 'pycodec', '866' ),
    ( 2086, 'pycodec', 'IBM866' ),
    ( 2054, 'pycodec', 'cp869' ),
    ( 2054, 'pycodec', '869' ),
    ( 2054, 'pycodec', 'CP-GR' ),
    ( 2054, 'pycodec', 'IBM869' ),
    ( 2019, 'pycodec', 'cp874' ),
    ( 110010, 'pycodec', 'cp875' ),
    ( 17, 'pycodec', 'cp932' ),
    ( 17, 'pycodec', '932' ),
    ( 17, 'pycodec', 'ms932' ),
    ( 17, 'pycodec', 'mskanji' ),
    ( 17, 'pycodec', 'ms-kanji' ),
    ( 110004, 'pycodec', 'cp949' ),
    ( 110004, 'pycodec', '949' ),
    ( 110004, 'pycodec', 'ms949' ),
    ( 110004, 'pycodec', 'uhc' ),
    ( 110011, 'pycodec', 'cp950' ),
    ( 110011, 'pycodec', '950' ),
    ( 110011, 'pycodec', 'ms950' ),
    ( 110012, 'pycodec', 'cp1006' ),
    ( 2063, 'pycodec', 'cp1026' ),
    ( 2063, 'pycodec', 'ibm1026' ),
    ( 2091, 'pycodec', 'cp1140' ),
    ( 2091, 'pycodec', 'ibm1140' ),
    ( 2250, 'pycodec', 'cp1250' ),
    ( 2250, 'pycodec', 'windows-1250' ),
    ( 2251, 'pycodec', 'cp1251' ),
    ( 2251, 'pycodec', 'windows-1251' ),
    ( 2252, 'pycodec', 'cp1252' ),
    ( 2252, 'pycodec', 'windows-1252' ),
    ( 2253, 'pycodec', 'cp1253' ),
    ( 2253, 'pycodec', 'windows-1253' ),
    ( 2254, 'pycodec', 'cp1254' ),
    ( 2254, 'pycodec', 'windows-1254' ),
    ( 2255, 'pycodec', 'cp1255' ),
    ( 2255, 'pycodec', 'windows-1255' ),
    ( 2256, 'pycodec', 'cp1256' ),
    ( 2256, 'pycodec', 'windows-1256' ),
    ( 2257, 'pycodec', 'cp1257' ),
    ( 2257, 'pycodec', 'windows-1257' ),
    ( 2258, 'pycodec', 'cp1258' ),
    ( 2258, 'pycodec', 'windows-1258' ),
    ( 18, 'pycodec', 'euc_jp' ),
    ( 18, 'pycodec', 'eucjp' ),
    ( 18, 'pycodec', 'ujis' ),
    ( 18, 'pycodec', 'u-jis' ),
    ( 110002, 'pycodec', 'euc_jis_2004' ),
    ( 110002, 'pycodec', 'jisx0213' ),
    ( 110002, 'pycodec', 'eucjis2004' ),
    ( 110013, 'pycodec', 'euc_jisx0213' ),
    ( 110013, 'pycodec', 'eucjisx0213' ),
    ( 38, 'pycodec', 'euc_kr' ),
    ( 38, 'pycodec', 'euckr' ),
    ( 38, 'pycodec', 'korean' ),
    ( 38, 'pycodec', 'ksc5601' ),
    ( 38, 'pycodec', 'ks_c-5601' ),
    ( 38, 'pycodec', 'ks_c-5601-1987' ),
    ( 38, 'pycodec', 'ksx1001' ),
    ( 38, 'pycodec', 'ks_x-1001' ),
    ( 56, 'pycodec', 'gb2312' ),
    ( 56, 'pycodec', 'chinese' ),
    ( 56, 'pycodec', 'csiso58gb231280' ),
    ( 56, 'pycodec', 'euc-cn' ),
    ( 56, 'pycodec', 'euccn' ),
    ( 56, 'pycodec', 'eucgb2312-cn' ),
    ( 56, 'pycodec', 'gb2312-1980' ),
    ( 56, 'pycodec', 'gb2312-80' ),
    ( 56, 'pycodec', 'iso-ir-58' ),
    ( 113, 'pycodec', 'gbk' ),
    ( 113, 'pycodec', '936' ),
    ( 113, 'pycodec', 'cp936' ),
    ( 113, 'pycodec', 'ms936' ),
    ( 114, 'pycodec', 'gb18030' ),
    ( 114, 'pycodec', 'gb18030-2000' ),
    ( 2085, 'pycodec', 'hz' ),
    ( 2085, 'pycodec', 'hzgb' ),
    ( 2085, 'pycodec', 'hz-gb' ),
    ( 2085, 'pycodec', 'hz-gb-2312' ),
    ( 39, 'pycodec', 'iso2022_jp' ),
    ( 39, 'pycodec', 'csiso2022jp' ),
    ( 39, 'pycodec', 'iso2022jp' ),
    ( 39, 'pycodec', 'iso-2022-jp' ),
    ( 110014, 'pycodec', 'iso2022_jp_1' ),
    ( 110014, 'pycodec', 'iso2022jp-1' ),
    ( 110014, 'pycodec', 'iso-2022-jp-1' ),
    ( 40, 'pycodec', 'iso2022_jp_2' ),
    ( 40, 'pycodec', 'iso2022jp-2' ),
    ( 40, 'pycodec', 'iso-2022-jp-2' ),
    ( 110015, 'pycodec', 'iso2022_jp_2004' ),
    ( 110015, 'pycodec', 'iso2022jp-2004' ),
    ( 110015, 'pycodec', 'iso-2022-jp-2004' ),
    ( 110016, 'pycodec', 'iso2022_jp_3' ),
    ( 110016, 'pycodec', 'iso2022jp-3' ),
    ( 110016, 'pycodec', 'iso-2022-jp-3' ),
    ( 110017, 'pycodec', 'iso2022_jp_ext' ),
    ( 110017, 'pycodec', 'iso2022jp-ext' ),
    ( 110017, 'pycodec', 'iso-2022-jp-ext' ),
    ( 37, 'pycodec', 'iso2022_kr' ),
    ( 37, 'pycodec', 'csiso2022kr' ),
    ( 37, 'pycodec', 'iso2022kr' ),
    ( 37, 'pycodec', 'iso-2022-kr' ),
    ( 4, 'pycodec', 'latin_1' ),
    ( 4, 'pycodec', 'iso-8859-1' ),
    ( 4, 'pycodec', 'iso8859-1' ),
    ( 4, 'pycodec', '8859' ),
    ( 4, 'pycodec', 'cp819' ),
    ( 4, 'pycodec', 'latin' ),
    ( 4, 'pycodec', 'latin1' ),
    ( 4, 'pycodec', 'L1' ),
    ( 5, 'pycodec', 'iso8859_2' ),
    ( 5, 'pycodec', 'iso-8859-2' ),
    ( 5, 'pycodec', 'latin2' ),
    ( 5, 'pycodec', 'L2' ),
    ( 6, 'pycodec', 'iso8859_3' ),
    ( 6, 'pycodec', 'iso-8859-3' ),
    ( 6, 'pycodec', 'latin3' ),
    ( 6, 'pycodec', 'L3' ),
    ( 7, 'pycodec', 'iso8859_4' ),
    ( 7, 'pycodec', 'iso-8859-4' ),
    ( 7, 'pycodec', 'latin4' ),
    ( 7, 'pycodec', 'L4' ),
    ( 8, 'pycodec', 'iso8859_5' ),
    ( 8, 'pycodec', 'iso-8859-5' ),
    ( 8, 'pycodec', 'cyrillic' ),
    ( 9, 'pycodec', 'iso8859_6' ),
    ( 9, 'pycodec', 'iso-8859-6' ),
    ( 9, 'pycodec', 'arabic' ),
    ( 10, 'pycodec', 'iso8859_7' ),
    ( 10, 'pycodec', 'iso-8859-7' ),
    ( 10, 'pycodec', 'greek' ),
    ( 10, 'pycodec', 'greek8' ),
    ( 11, 'pycodec', 'iso8859_8' ),
    ( 11, 'pycodec', 'iso-8859-8' ),
    ( 11, 'pycodec', 'hebrew' ),
    ( 12, 'pycodec', 'iso8859_9' ),
    ( 12, 'pycodec', 'iso-8859-9' ),
    ( 12, 'pycodec', 'latin5' ),
    ( 12, 'pycodec', 'L5' ),
    ( 13, 'pycodec', 'iso8859_10' ),
    ( 13, 'pycodec', 'iso-8859-10' ),
    ( 13, 'pycodec', 'latin6' ),
    ( 13, 'pycodec', 'L6' ),
    ( 109, 'pycodec', 'iso8859_13' ),
    ( 109, 'pycodec', 'iso-8859-13' ),
    ( 109, 'pycodec', 'latin7' ),
    ( 109, 'pycodec', 'L7' ),
    ( 110, 'pycodec', 'iso8859_14' ),
    ( 110, 'pycodec', 'iso-8859-14' ),
    ( 110, 'pycodec', 'latin8' ),
    ( 110, 'pycodec', 'L8' ),
    ( 111, 'pycodec', 'iso8859_15' ),
    ( 111, 'pycodec', 'iso-8859-15' ),
    ( 111, 'pycodec', 'latin9' ),
    ( 111, 'pycodec', 'L9' ),
    ( 112, 'pycodec', 'iso8859_16' ),
    ( 112, 'pycodec', 'iso-8859-16' ),
    ( 112, 'pycodec', 'latin10' ),
    ( 112, 'pycodec', 'L10' ),
    ( 110005, 'pycodec', 'johab' ),
    ( 110005, 'pycodec', 'cp1361' ),
    ( 110005, 'pycodec', 'ms1361' ),
    ( 2084, 'pycodec', 'koi8_r' ),
    ( 2088, 'pycodec', 'koi8_u' ),
    ( 110018, 'pycodec', 'mac_cyrillic' ),
    ( 110018, 'pycodec', 'maccyrillic' ),
    ( 110019, 'pycodec', 'mac_greek' ),
    ( 110019, 'pycodec', 'macgreek' ),
    ( 110020, 'pycodec', 'mac_iceland' ),
    ( 110020, 'pycodec', 'maciceland' ),
    ( 110021, 'pycodec', 'mac_latin2' ),
    ( 110021, 'pycodec', 'maclatin2' ),
    ( 110021, 'pycodec', 'maccentraleurope' ),
    ( 110022, 'pycodec', 'mac_roman' ),
    ( 110022, 'pycodec', 'macroman' ),
    ( 110023, 'pycodec', 'mac_turkish' ),
    ( 110023, 'pycodec', 'macturkish' ),
    ( 2103, 'pycodec', 'ptcp154' ),
    ( 2103, 'pycodec', 'csptcp154' ),
    ( 2103, 'pycodec', 'pt154' ),
    ( 2103, 'pycodec', 'cp154' ),
    ( 2103, 'pycodec', 'cyrillic-asian' ),
    ( 17, 'pycodec', 'shift_jis' ),
    ( 17, 'pycodec', 'csshiftjis' ),
    ( 17, 'pycodec', 'shiftjis' ),
    ( 17, 'pycodec', 'sjis' ),
    ( 17, 'pycodec', 's_jis' ),
    ( 110006, 'pycodec', 'shift_jis_2004' ),
    ( 110006, 'pycodec', 'shiftjis2004' ),
    ( 110006, 'pycodec', 'sjis_2004' ),
    ( 110006, 'pycodec', 'sjis2004' ),
    ( 110024, 'pycodec', 'shift_jisx0213' ),
    ( 110024, 'pycodec', 'shiftjisx0213' ),
    ( 110024, 'pycodec', 'sjisx0213' ),
    ( 110024, 'pycodec', 's_jisx0213' ),
    ( 1017, 'pycodec', 'utf_32' ),
    ( 1017, 'pycodec', 'U32' ),
    ( 1017, 'pycodec', 'utf32' ),
    ( 1018, 'pycodec', 'utf_32_be' ),
    ( 1018, 'pycodec', 'UTF-32BE' ),
    ( 1019, 'pycodec', 'utf_32_le' ),
    ( 1019, 'pycodec', 'UTF-32LE' ),
    ( 1015, 'pycodec', 'utf_16' ),
    ( 1015, 'pycodec', 'U16' ),
    ( 1015, 'pycodec', 'utf16' ),
    ( 1013, 'pycodec', 'utf_16_be' ),
    ( 1013, 'pycodec', 'UTF-16BE' ),
    ( 1014, 'pycodec', 'utf_16_le' ),
    ( 1014, 'pycodec', 'UTF-16LE' ),
    ( 1012, 'pycodec', 'utf_7' ),
    ( 1012, 'pycodec', 'U7' ),
    ( 1012, 'pycodec', 'unicode-1-1-utf-7' ),
    ( 106, 'pycodec', 'utf_8' ),
    ( 106, 'pycodec', 'U8' ),
    ( 106, 'pycodec', 'UTF' ),
    ( 106, 'pycodec', 'utf8' ),
    ( 110025, 'pycodec', 'utf_8_sig' )
;
insert into lib.encodings ( mib,section,encoding ) values
	( 120001, 'pycodec', 'base64_codec' ),
    ( 120001, 'pycodec', 'base64' ),
    ( 120001, 'pycodec', 'base-64' ),
    ( 120002, 'pycodec', 'bz2_codec' ),
    ( 120002, 'pycodec', 'bz2' ),
    ( 120003, 'pycodec', 'hex_codec' ),
    ( 120003, 'pycodec', 'hex' ),
    ( 120004, 'pycodec', 'idna' ),
    ( 120005, 'pycodec', 'mbcs' ),
    ( 120005, 'pycodec', 'dbcs' ),
    ( 120006, 'pycodec', 'palmos' ),
    ( 120007, 'pycodec', 'punycode' ),
    ( 120008, 'pycodec', 'quopri_codec' ),
    ( 120008, 'pycodec', 'quopri' ),
    ( 120008, 'pycodec', 'quoted-printable' ),
    ( 120008, 'pycodec', 'quotedprintable' ),
    ( 120009, 'pycodec', 'raw_unicode_escape' ),
    ( 120010, 'pycodec', 'rot_13' ),
    ( 120010, 'pycodec', 'rot13' ),
    ( 120011, 'pycodec', 'string_escape' ),
    ( 120012, 'pycodec', 'undefined' ),
    ( 120013, 'pycodec', 'unicode_escape' ),
    ( 120014, 'pycodec', 'unicode_internal' ),
    ( 120015, 'pycodec', 'uu_codec' ),
    ( 120015, 'pycodec', 'uu' ),
    ( 120016, 'pycodec', 'zlib_codec' ),
    ( 120016, 'pycodec', 'zip' ),
    ( 120016, 'pycodec', 'zlib' )
;
insert into lib.encodings ( mib,section,encoding ) values
	( 3, 'iana', 'ANSI_X3.4-1968' ),
    ( 3, 'iana', 'iso-ir-6' ),
    ( 3, 'iana', 'ANSI_X3.4-1986' ),
    ( 3, 'iana', 'ISO_646.irv:1991' ),
    ( 3, 'iana', 'ASCII' ),
    ( 3, 'iana', 'ISO646-US' ),
    ( 3, 'iana', 'US-ASCII' ),
    ( 3, 'iana', 'us' ),
    ( 3, 'iana', 'IBM367' ),
    ( 3, 'iana', 'cp367' ),
    ( 3, 'iana', 'csASCII' ),
    ( 4, 'iana', 'ISO_8859-1:1987' ),
    ( 4, 'iana', 'iso-ir-100' ),
    ( 4, 'iana', 'ISO_8859-1' ),
    ( 4, 'iana', 'ISO-8859-1' ),
    ( 4, 'iana', 'latin1' ),
    ( 4, 'iana', 'l1' ),
    ( 4, 'iana', 'IBM819' ),
    ( 4, 'iana', 'CP819' ),
    ( 4, 'iana', 'csISOLatin1' ),
    ( 5, 'iana', 'ISO_8859-2:1987' ),
    ( 5, 'iana', 'iso-ir-101' ),
    ( 5, 'iana', 'ISO_8859-2' ),
    ( 5, 'iana', 'ISO-8859-2' ),
    ( 5, 'iana', 'latin2' ),
    ( 5, 'iana', 'l2' ),
    ( 5, 'iana', 'csISOLatin2' ),
    ( 6, 'iana', 'ISO_8859-3:1988' ),
    ( 6, 'iana', 'iso-ir-109' ),
    ( 6, 'iana', 'ISO_8859-3' ),
    ( 6, 'iana', 'ISO-8859-3' ),
    ( 6, 'iana', 'latin3' ),
    ( 6, 'iana', 'l3' ),
    ( 6, 'iana', 'csISOLatin3' ),
    ( 7, 'iana', 'ISO_8859-4:1988' ),
    ( 7, 'iana', 'iso-ir-110' ),
    ( 7, 'iana', 'ISO_8859-4' ),
    ( 7, 'iana', 'ISO-8859-4' ),
    ( 7, 'iana', 'latin4' ),
    ( 7, 'iana', 'l4' ),
    ( 7, 'iana', 'csISOLatin4' ),
    ( 8, 'iana', 'ISO_8859-5:1988' ),
    ( 8, 'iana', 'iso-ir-144' ),
    ( 8, 'iana', 'ISO_8859-5' ),
    ( 8, 'iana', 'ISO-8859-5' ),
    ( 8, 'iana', 'cyrillic' ),
    ( 8, 'iana', 'csISOLatinCyrillic' ),
    ( 9, 'iana', 'ISO_8859-6:1987' ),
    ( 9, 'iana', 'iso-ir-127' ),
    ( 9, 'iana', 'ISO_8859-6' ),
    ( 9, 'iana', 'ISO-8859-6' ),
    ( 9, 'iana', 'ECMA-114' ),
    ( 9, 'iana', 'ASMO-708' ),
    ( 9, 'iana', 'arabic' ),
    ( 9, 'iana', 'csISOLatinArabic' ),
    ( 10, 'iana', 'ISO_8859-7:1987' ),
    ( 10, 'iana', 'iso-ir-126' ),
    ( 10, 'iana', 'ISO_8859-7' ),
    ( 10, 'iana', 'ISO-8859-7' ),
    ( 10, 'iana', 'ELOT_928' ),
    ( 10, 'iana', 'ECMA-118' ),
    ( 10, 'iana', 'greek' ),
    ( 10, 'iana', 'greek8' ),
    ( 10, 'iana', 'csISOLatinGreek' ),
    ( 11, 'iana', 'ISO_8859-8:1988' ),
    ( 11, 'iana', 'iso-ir-138' ),
    ( 11, 'iana', 'ISO_8859-8' ),
    ( 11, 'iana', 'ISO-8859-8' ),
    ( 11, 'iana', 'hebrew' ),
    ( 11, 'iana', 'csISOLatinHebrew' ),
    ( 12, 'iana', 'ISO_8859-9:1989' ),
    ( 12, 'iana', 'iso-ir-148' ),
    ( 12, 'iana', 'ISO_8859-9' ),
    ( 12, 'iana', 'ISO-8859-9' ),
    ( 12, 'iana', 'latin5' ),
    ( 12, 'iana', 'l5' ),
    ( 12, 'iana', 'csISOLatin5' ),
    ( 13, 'iana', 'ISO-8859-10' ),
    ( 13, 'iana', 'iso-ir-157' ),
    ( 13, 'iana', 'l6' ),
    ( 13, 'iana', 'ISO_8859-10:1992' ),
    ( 13, 'iana', 'csISOLatin6' ),
    ( 13, 'iana', 'latin6' ),
    ( 14, 'iana', 'ISO_6937-2-add' ),
    ( 14, 'iana', 'iso-ir-142' ),
    ( 14, 'iana', 'csISOTextComm' ),
    ( 15, 'iana', 'JIS_X0201' ),
    ( 15, 'iana', 'X0201' ),
    ( 15, 'iana', 'csHalfWidthKatakana' ),
    ( 16, 'iana', 'JIS_Encoding' ),
    ( 16, 'iana', 'csJISEncoding' ),
    ( 17, 'iana', 'Shift_JIS' ),
    ( 17, 'iana', 'MS_Kanji' ),
    ( 17, 'iana', 'csShiftJIS' ),
    ( 18, 'iana', 'Extended_UNIX_Code_Packed_Format_for_Japanese' ),
    ( 18, 'iana', 'csEUCPkdFmtJapanese' ),
    ( 18, 'iana', 'EUC-JP' ),
    ( 19, 'iana', 'Extended_UNIX_Code_Fixed_Width_for_Japanese' ),
    ( 19, 'iana', 'csEUCFixWidJapanese' ),
    ( 20, 'iana', 'BS_4730' ),
    ( 20, 'iana', 'iso-ir-4' ),
    ( 20, 'iana', 'ISO646-GB' ),
    ( 20, 'iana', 'gb' ),
    ( 20, 'iana', 'uk' ),
    ( 20, 'iana', 'csISO4UnitedKingdom' ),
    ( 21, 'iana', 'SEN_850200_C' ),
    ( 21, 'iana', 'iso-ir-11' ),
    ( 21, 'iana', 'ISO646-SE2' ),
    ( 21, 'iana', 'se2' ),
    ( 21, 'iana', 'csISO11SwedishForNames' ),
    ( 22, 'iana', 'IT' ),
    ( 22, 'iana', 'iso-ir-15' ),
    ( 22, 'iana', 'ISO646-IT' ),
    ( 22, 'iana', 'csISO15Italian' ),
    ( 23, 'iana', 'ES' ),
    ( 23, 'iana', 'iso-ir-17' ),
    ( 23, 'iana', 'ISO646-ES' ),
    ( 23, 'iana', 'csISO17Spanish' ),
    ( 24, 'iana', 'DIN_66003' ),
    ( 24, 'iana', 'iso-ir-21' ),
    ( 24, 'iana', 'de' ),
    ( 24, 'iana', 'ISO646-DE' ),
    ( 24, 'iana', 'csISO21German' ),
    ( 25, 'iana', 'NS_4551-1' ),
    ( 25, 'iana', 'iso-ir-60' ),
    ( 25, 'iana', 'ISO646-NO' ),
    ( 25, 'iana', 'no' ),
    ( 25, 'iana', 'csISO60DanishNorwegian' ),
    ( 25, 'iana', 'csISO60Norwegian1' ),
    ( 26, 'iana', 'NF_Z_62-010' ),
    ( 26, 'iana', 'iso-ir-69' ),
    ( 26, 'iana', 'ISO646-FR' ),
    ( 26, 'iana', 'fr' ),
    ( 26, 'iana', 'csISO69French' ),
    ( 27, 'iana', 'ISO-10646-UTF-1' ),
    ( 27, 'iana', 'csISO10646UTF1' ),
    ( 28, 'iana', 'ISO_646.basic:1983' ),
    ( 28, 'iana', 'ref' ),
    ( 28, 'iana', 'csISO646basic1983' ),
    ( 29, 'iana', 'INVARIANT' ),
    ( 29, 'iana', 'csINVARIANT' ),
    ( 30, 'iana', 'ISO_646.irv:1983' ),
    ( 30, 'iana', 'iso-ir-2' ),
    ( 30, 'iana', 'irv' ),
    ( 30, 'iana', 'csISO2IntlRefVersion' ),
    ( 31, 'iana', 'NATS-SEFI' ),
    ( 31, 'iana', 'iso-ir-8-1' ),
    ( 31, 'iana', 'csNATSSEFI' ),
    ( 32, 'iana', 'NATS-SEFI-ADD' ),
    ( 32, 'iana', 'iso-ir-8-2' ),
    ( 32, 'iana', 'csNATSSEFIADD' ),
    ( 33, 'iana', 'NATS-DANO' ),
    ( 33, 'iana', 'iso-ir-9-1' ),
    ( 33, 'iana', 'csNATSDANO' ),
    ( 34, 'iana', 'NATS-DANO-ADD' ),
    ( 34, 'iana', 'iso-ir-9-2' ),
    ( 34, 'iana', 'csNATSDANOADD' ),
    ( 35, 'iana', 'SEN_850200_B' ),
    ( 35, 'iana', 'iso-ir-10' ),
    ( 35, 'iana', 'FI' ),
    ( 35, 'iana', 'ISO646-FI' ),
    ( 35, 'iana', 'ISO646-SE' ),
    ( 35, 'iana', 'se' ),
    ( 35, 'iana', 'csISO10Swedish' ),
    ( 36, 'iana', 'KS_C_5601-1987' ),
    ( 36, 'iana', 'iso-ir-149' ),
    ( 36, 'iana', 'KS_C_5601-1989' ),
    ( 36, 'iana', 'KSC_5601' ),
    ( 36, 'iana', 'korean' ),
    ( 36, 'iana', 'csKSC56011987' ),
    ( 37, 'iana', 'ISO-2022-KR' ),
    ( 37, 'iana', 'csISO2022KR' ),
    ( 38, 'iana', 'EUC-KR' ),
    ( 38, 'iana', 'csEUCKR' ),
    ( 39, 'iana', 'ISO-2022-JP' ),
    ( 39, 'iana', 'csISO2022JP' ),
    ( 40, 'iana', 'ISO-2022-JP-2' ),
    ( 40, 'iana', 'csISO2022JP2' ),
    ( 41, 'iana', 'JIS_C6220-1969-jp' ),
    ( 41, 'iana', 'JIS_C6220-1969' ),
    ( 41, 'iana', 'iso-ir-13' ),
    ( 41, 'iana', 'katakana' ),
    ( 41, 'iana', 'x0201-7' ),
    ( 41, 'iana', 'csISO13JISC6220jp' ),
    ( 42, 'iana', 'JIS_C6220-1969-ro' ),
    ( 42, 'iana', 'iso-ir-14' ),
    ( 42, 'iana', 'jp' ),
    ( 42, 'iana', 'ISO646-JP' ),
    ( 42, 'iana', 'csISO14JISC6220ro' ),
    ( 43, 'iana', 'PT' ),
    ( 43, 'iana', 'iso-ir-16' ),
    ( 43, 'iana', 'ISO646-PT' ),
    ( 43, 'iana', 'csISO16Portuguese' ),
    ( 44, 'iana', 'greek7-old' ),
    ( 44, 'iana', 'iso-ir-18' ),
    ( 44, 'iana', 'csISO18Greek7Old' ),
    ( 45, 'iana', 'latin-greek' ),
    ( 45, 'iana', 'iso-ir-19' ),
    ( 45, 'iana', 'csISO19LatinGreek' ),
    ( 46, 'iana', 'NF_Z_62-010_(1973)' ),
    ( 46, 'iana', 'iso-ir-25' ),
    ( 46, 'iana', 'ISO646-FR1' ),
    ( 46, 'iana', 'csISO25French' ),
    ( 47, 'iana', 'Latin-greek-1' ),
    ( 47, 'iana', 'iso-ir-27' ),
    ( 47, 'iana', 'csISO27LatinGreek1' ),
    ( 48, 'iana', 'ISO_5427' ),
    ( 48, 'iana', 'iso-ir-37' ),
    ( 48, 'iana', 'csISO5427Cyrillic' ),
    ( 49, 'iana', 'JIS_C6226-1978' ),
    ( 49, 'iana', 'iso-ir-42' ),
    ( 49, 'iana', 'csISO42JISC62261978' ),
    ( 50, 'iana', 'BS_viewdata' ),
    ( 50, 'iana', 'iso-ir-47' ),
    ( 50, 'iana', 'csISO47BSViewdata' ),
    ( 51, 'iana', 'INIS' ),
    ( 51, 'iana', 'iso-ir-49' ),
    ( 51, 'iana', 'csISO49INIS' ),
    ( 52, 'iana', 'INIS-8' ),
    ( 52, 'iana', 'iso-ir-50' ),
    ( 52, 'iana', 'csISO50INIS8' ),
    ( 53, 'iana', 'INIS-cyrillic' ),
    ( 53, 'iana', 'iso-ir-51' ),
    ( 53, 'iana', 'csISO51INISCyrillic' ),
    ( 54, 'iana', 'ISO_5427:1981' ),
    ( 54, 'iana', 'iso-ir-54' ),
    ( 54, 'iana', 'ISO5427Cyrillic1981' ),
    ( 55, 'iana', 'ISO_5428:1980' ),
    ( 55, 'iana', 'iso-ir-55' ),
    ( 55, 'iana', 'csISO5428Greek' ),
    ( 56, 'iana', 'GB_1988-80' ),
    ( 56, 'iana', 'iso-ir-57' ),
    ( 56, 'iana', 'cn' ),
    ( 56, 'iana', 'ISO646-CN' ),
    ( 56, 'iana', 'csISO57GB1988' ),
    ( 57, 'iana', 'GB_2312-80' ),
    ( 57, 'iana', 'iso-ir-58' ),
    ( 57, 'iana', 'chinese' ),
    ( 57, 'iana', 'csISO58GB231280' ),
    ( 58, 'iana', 'NS_4551-2' ),
    ( 58, 'iana', 'ISO646-NO2' ),
    ( 58, 'iana', 'iso-ir-61' ),
    ( 58, 'iana', 'no2' ),
    ( 58, 'iana', 'csISO61Norwegian2' ),
    ( 59, 'iana', 'videotex-suppl' ),
    ( 59, 'iana', 'iso-ir-70' ),
    ( 59, 'iana', 'csISO70VideotexSupp1' ),
    ( 60, 'iana', 'PT2' ),
    ( 60, 'iana', 'iso-ir-84' ),
    ( 60, 'iana', 'ISO646-PT2' ),
    ( 60, 'iana', 'csISO84Portuguese2' ),
    ( 61, 'iana', 'ES2' ),
    ( 61, 'iana', 'iso-ir-85' ),
    ( 61, 'iana', 'ISO646-ES2' ),
    ( 61, 'iana', 'csISO85Spanish2' ),
    ( 62, 'iana', 'MSZ_7795.3' ),
    ( 62, 'iana', 'iso-ir-86' ),
    ( 62, 'iana', 'ISO646-HU' ),
    ( 62, 'iana', 'hu' ),
    ( 62, 'iana', 'csISO86Hungarian' ),
    ( 63, 'iana', 'JIS_C6226-1983' ),
    ( 63, 'iana', 'iso-ir-87' ),
    ( 63, 'iana', 'x0208' ),
    ( 63, 'iana', 'JIS_X0208-1983' ),
    ( 63, 'iana', 'csISO87JISX0208' ),
    ( 64, 'iana', 'greek7' ),
    ( 64, 'iana', 'iso-ir-88' ),
    ( 64, 'iana', 'csISO88Greek7' ),
    ( 65, 'iana', 'ASMO_449' ),
    ( 65, 'iana', 'ISO_9036' ),
    ( 65, 'iana', 'arabic7' ),
    ( 65, 'iana', 'iso-ir-89' ),
    ( 65, 'iana', 'csISO89ASMO449' ),
    ( 66, 'iana', 'iso-ir-90' ),
    ( 66, 'iana', 'csISO90' ),
    ( 67, 'iana', 'JIS_C6229-1984-a' ),
    ( 67, 'iana', 'iso-ir-91' ),
    ( 67, 'iana', 'jp-ocr-a' ),
    ( 67, 'iana', 'csISO91JISC62291984a' ),
    ( 68, 'iana', 'JIS_C6229-1984-b' ),
    ( 68, 'iana', 'iso-ir-92' ),
    ( 68, 'iana', 'ISO646-JP-OCR-B' ),
    ( 68, 'iana', 'jp-ocr-b' ),
    ( 68, 'iana', 'csISO92JISC62991984b' ),
    ( 69, 'iana', 'JIS_C6229-1984-b-add' ),
    ( 69, 'iana', 'iso-ir-93' ),
    ( 69, 'iana', 'jp-ocr-b-add' ),
    ( 69, 'iana', 'csISO93JIS62291984badd' ),
    ( 70, 'iana', 'JIS_C6229-1984-hand' ),
    ( 70, 'iana', 'iso-ir-94' ),
    ( 70, 'iana', 'jp-ocr-hand' ),
    ( 70, 'iana', 'csISO94JIS62291984hand' ),
    ( 71, 'iana', 'JIS_C6229-1984-hand-add' ),
    ( 71, 'iana', 'iso-ir-95' ),
    ( 71, 'iana', 'jp-ocr-hand-add' ),
    ( 71, 'iana', 'csISO95JIS62291984handadd' ),
    ( 72, 'iana', 'JIS_C6229-1984-kana' ),
    ( 72, 'iana', 'iso-ir-96' ),
    ( 72, 'iana', 'csISO96JISC62291984kana' ),
    ( 73, 'iana', 'ISO_2033-1983' ),
    ( 73, 'iana', 'iso-ir-98' ),
    ( 73, 'iana', 'e13b' ),
    ( 73, 'iana', 'csISO2033' ),
    ( 74, 'iana', 'ANSI_X3.110-1983' ),
    ( 74, 'iana', 'iso-ir-99' ),
    ( 74, 'iana', 'CSA_T500-1983' ),
    ( 74, 'iana', 'NAPLPS' ),
    ( 74, 'iana', 'csISO99NAPLPS' ),
    ( 75, 'iana', 'T.61-7bit' ),
    ( 75, 'iana', 'iso-ir-102' ),
    ( 75, 'iana', 'csISO102T617bit' ),
    ( 76, 'iana', 'T.61-8bit' ),
    ( 76, 'iana', 'T.61' ),
    ( 76, 'iana', 'iso-ir-103' ),
    ( 76, 'iana', 'csISO103T618bit' ),
    ( 77, 'iana', 'ECMA-cyrillic' ),
    ( 77, 'iana', 'iso-ir-111' ),
    ( 77, 'iana', 'KOI8-E' ),
    ( 77, 'iana', 'csISO111ECMACyrillic' ),
    ( 78, 'iana', 'CSA_Z243.4-1985-1' ),
    ( 78, 'iana', 'iso-ir-121' ),
    ( 78, 'iana', 'ISO646-CA' ),
    ( 78, 'iana', 'csa7-1' ),
    ( 78, 'iana', 'csa71' ),
    ( 78, 'iana', 'ca' ),
    ( 78, 'iana', 'csISO121Canadian1' ),
    ( 79, 'iana', 'CSA_Z243.4-1985-2' ),
    ( 79, 'iana', 'iso-ir-122' ),
    ( 79, 'iana', 'ISO646-CA2' ),
    ( 79, 'iana', 'csa7-2' ),
    ( 79, 'iana', 'csa72' ),
    ( 79, 'iana', 'csISO122Canadian2' ),
    ( 80, 'iana', 'CSA_Z243.4-1985-gr' ),
    ( 80, 'iana', 'iso-ir-123' ),
    ( 80, 'iana', 'csISO123CSAZ24341985gr' ),
    ( 81, 'iana', 'ISO_8859-6-E' ),
    ( 81, 'iana', 'csISO88596E' ),
    ( 81, 'iana', 'ISO-8859-6-E' ),
    ( 82, 'iana', 'ISO_8859-6-I' ),
    ( 82, 'iana', 'csISO88596I' ),
    ( 82, 'iana', 'ISO-8859-6-I' ),
    ( 83, 'iana', 'T.101-G2' ),
    ( 83, 'iana', 'iso-ir-128' ),
    ( 83, 'iana', 'csISO128T101G2' ),
    ( 84, 'iana', 'ISO_8859-8-E' ),
    ( 84, 'iana', 'csISO88598E' ),
    ( 84, 'iana', 'ISO-8859-8-E' ),
    ( 85, 'iana', 'ISO_8859-8-I' ),
    ( 85, 'iana', 'csISO88598I' ),
    ( 85, 'iana', 'ISO-8859-8-I' ),
    ( 86, 'iana', 'CSN_369103' ),
    ( 86, 'iana', 'iso-ir-139' ),
    ( 86, 'iana', 'csISO139CSN369103' ),
    ( 87, 'iana', 'JUS_I.B1.002' ),
    ( 87, 'iana', 'iso-ir-141' ),
    ( 87, 'iana', 'ISO646-YU' ),
    ( 87, 'iana', 'js' ),
    ( 87, 'iana', 'yu' ),
    ( 87, 'iana', 'csISO141JUSIB1002' ),
    ( 88, 'iana', 'IEC_P27-1' ),
    ( 88, 'iana', 'iso-ir-143' ),
    ( 88, 'iana', 'csISO143IECP271' ),
    ( 89, 'iana', 'JUS_I.B1.003-serb' ),
    ( 89, 'iana', 'iso-ir-146' ),
    ( 89, 'iana', 'serbian' ),
    ( 89, 'iana', 'csISO146Serbian' ),
    ( 90, 'iana', 'JUS_I.B1.003-mac' ),
    ( 90, 'iana', 'macedonian' ),
    ( 90, 'iana', 'iso-ir-147' ),
    ( 90, 'iana', 'csISO147Macedonian' ),
    ( 91, 'iana', 'greek-ccitt' ),
    ( 91, 'iana', 'iso-ir-150' ),
    ( 91, 'iana', 'csISO150' ),
    ( 91, 'iana', 'csISO150GreekCCITT' ),
    ( 92, 'iana', 'NC_NC00-10:81' ),
    ( 92, 'iana', 'cuba' ),
    ( 92, 'iana', 'iso-ir-151' ),
    ( 92, 'iana', 'ISO646-CU' ),
    ( 92, 'iana', 'csISO151Cuba' ),
    ( 93, 'iana', 'ISO_6937-2-25' ),
    ( 93, 'iana', 'iso-ir-152' ),
    ( 93, 'iana', 'csISO6937Add' ),
    ( 94, 'iana', 'GOST_19768-74' ),
    ( 94, 'iana', 'ST_SEV_358-88' ),
    ( 94, 'iana', 'iso-ir-153' ),
    ( 94, 'iana', 'csISO153GOST1976874' ),
    ( 95, 'iana', 'ISO_8859-supp' ),
    ( 95, 'iana', 'iso-ir-154' ),
    ( 95, 'iana', 'latin1-2-5' ),
    ( 95, 'iana', 'csISO8859Supp' ),
    ( 96, 'iana', 'ISO_10367-box' ),
    ( 96, 'iana', 'iso-ir-155' ),
    ( 96, 'iana', 'csISO10367Box' ),
    ( 97, 'iana', 'latin-lap' ),
    ( 97, 'iana', 'lap' ),
    ( 97, 'iana', 'iso-ir-158' ),
    ( 97, 'iana', 'csISO158Lap' ),
    ( 98, 'iana', 'JIS_X0212-1990' ),
    ( 98, 'iana', 'x0212' ),
    ( 98, 'iana', 'iso-ir-159' ),
    ( 98, 'iana', 'csISO159JISX02121990' ),
    ( 99, 'iana', 'DS_2089' ),
    ( 99, 'iana', 'DS2089' ),
    ( 99, 'iana', 'ISO646-DK' ),
    ( 99, 'iana', 'dk' ),
    ( 99, 'iana', 'csISO646Danish' ),
    ( 100, 'iana', 'us-dk' ),
    ( 100, 'iana', 'csUSDK' ),
    ( 101, 'iana', 'dk-us' ),
    ( 101, 'iana', 'csDKUS' ),
    ( 102, 'iana', 'KSC5636' ),
    ( 102, 'iana', 'ISO646-KR' ),
    ( 102, 'iana', 'csKSC5636' ),
    ( 103, 'iana', 'UNICODE-1-1-UTF-7' ),
    ( 103, 'iana', 'csUnicode11UTF7' ),
    ( 104, 'iana', 'ISO-2022-CN' ),
    ( 105, 'iana', 'ISO-2022-CN-EXT' ),
    ( 106, 'iana', 'UTF-8' ),
    ( 109, 'iana', 'ISO-8859-13' ),
    ( 110, 'iana', 'ISO-8859-14' ),
    ( 110, 'iana', 'iso-ir-199' ),
    ( 110, 'iana', 'ISO_8859-14:1998' ),
    ( 110, 'iana', 'ISO_8859-14' ),
    ( 110, 'iana', 'latin8' ),
    ( 110, 'iana', 'iso-celtic' ),
    ( 110, 'iana', 'l8' ),
    ( 111, 'iana', 'ISO-8859-15' ),
    ( 111, 'iana', 'ISO_8859-15' ),
    ( 111, 'iana', 'Latin-9' ),
    ( 112, 'iana', 'ISO-8859-16' ),
    ( 112, 'iana', 'iso-ir-226' ),
    ( 112, 'iana', 'ISO_8859-16:2001' ),
    ( 112, 'iana', 'ISO_8859-16' ),
    ( 112, 'iana', 'latin10' ),
    ( 112, 'iana', 'l10' ),
    ( 113, 'iana', 'GBK' ),
    ( 113, 'iana', 'CP936' ),
    ( 113, 'iana', 'MS936' ),
    ( 113, 'iana', 'windows-936' ),
    ( 114, 'iana', 'GB18030' ),
    ( 115, 'iana', 'OSD_EBCDIC_DF04_15' ),
    ( 116, 'iana', 'OSD_EBCDIC_DF03_IRV' ),
    ( 117, 'iana', 'OSD_EBCDIC_DF04_1' ),
    ( 118, 'iana', 'ISO-11548-1' ),
    ( 118, 'iana', 'ISO_11548-1' ),
    ( 118, 'iana', 'ISO_TR_11548-1' ),
    ( 118, 'iana', 'csISO115481' ),
    ( 119, 'iana', 'KZ-1048' ),
    ( 119, 'iana', 'STRK1048-2002' ),
    ( 119, 'iana', 'RK1048' ),
    ( 119, 'iana', 'csKZ1048' ),
    ( 1000, 'iana', 'ISO-10646-UCS-2' ),
    ( 1000, 'iana', 'csUnicode' ),
    ( 1001, 'iana', 'ISO-10646-UCS-4' ),
    ( 1001, 'iana', 'csUCS4' ),
    ( 1002, 'iana', 'ISO-10646-UCS-Basic' ),
    ( 1002, 'iana', 'csUnicodeASCII' ),
    ( 1003, 'iana', 'ISO-10646-Unicode-Latin1' ),
    ( 1003, 'iana', 'csUnicodeLatin1' ),
    ( 1003, 'iana', 'ISO-10646' ),
    ( 1004, 'iana', 'ISO-10646-J-1' ),
    ( 1004, 'iana', 'csUnicodeJapanese' ),
    ( 1005, 'iana', 'ISO-Unicode-IBM-1261' ),
    ( 1005, 'iana', 'csUnicodeIBM1261' ),
    ( 1006, 'iana', 'ISO-Unicode-IBM-1268' ),
    ( 1006, 'iana', 'csUnicodeIBM1268' ),
    ( 1007, 'iana', 'ISO-Unicode-IBM-1276' ),
    ( 1007, 'iana', 'csUnicodeIBM1276' ),
    ( 1008, 'iana', 'ISO-Unicode-IBM-1264' ),
    ( 1008, 'iana', 'csUnicodeIBM1264' ),
    ( 1009, 'iana', 'ISO-Unicode-IBM-1265' ),
    ( 1009, 'iana', 'csUnicodeIBM1265' ),
    ( 1010, 'iana', 'UNICODE-1-1' ),
    ( 1010, 'iana', 'csUnicode11' ),
    ( 1011, 'iana', 'SCSU' ),
    ( 1012, 'iana', 'UTF-7' ),
    ( 1013, 'iana', 'UTF-16BE' ),
    ( 1014, 'iana', 'UTF-16LE' ),
    ( 1015, 'iana', 'UTF-16' ),
    ( 1016, 'iana', 'CESU-8' ),
    ( 1016, 'iana', 'csCESU-8' ),
    ( 1017, 'iana', 'UTF-32' ),
    ( 1018, 'iana', 'UTF-32BE' ),
    ( 1019, 'iana', 'UTF-32LE' ),
    ( 1020, 'iana', 'BOCU-1' ),
    ( 1020, 'iana', 'csBOCU-1' ),
    ( 2000, 'iana', 'ISO-8859-1-Windows-3.0-Latin-1' ),
    ( 2000, 'iana', 'csWindows30Latin1' ),
    ( 2001, 'iana', 'ISO-8859-1-Windows-3.1-Latin-1' ),
    ( 2001, 'iana', 'csWindows31Latin1' ),
    ( 2002, 'iana', 'ISO-8859-2-Windows-Latin-2' ),
    ( 2002, 'iana', 'csWindows31Latin2' ),
    ( 2003, 'iana', 'ISO-8859-9-Windows-Latin-5' ),
    ( 2003, 'iana', 'csWindows31Latin5' ),
    ( 2004, 'iana', 'hp-roman8' ),
    ( 2004, 'iana', 'roman8' ),
    ( 2004, 'iana', 'r8' ),
    ( 2004, 'iana', 'csHPRoman8' ),
    ( 2005, 'iana', 'Adobe-Standard-Encoding' ),
    ( 2005, 'iana', 'csAdobeStandardEncoding' ),
    ( 2006, 'iana', 'Ventura-US' ),
    ( 2006, 'iana', 'csVenturaUS' ),
    ( 2007, 'iana', 'Ventura-International' ),
    ( 2007, 'iana', 'csVenturaInternational' ),
    ( 2008, 'iana', 'DEC-MCS' ),
    ( 2008, 'iana', 'dec' ),
    ( 2008, 'iana', 'csDECMCS' ),
    ( 2009, 'iana', 'IBM850' ),
    ( 2009, 'iana', 'cp850' ),
    ( 2009, 'iana', '850' ),
    ( 2009, 'iana', 'csPC850Multilingual' ),
    ( 2012, 'iana', 'PC8-Danish-Norwegian' ),
    ( 2012, 'iana', 'csPC8DanishNorwegian' ),
    ( 2013, 'iana', 'IBM862' ),
    ( 2013, 'iana', 'cp862' ),
    ( 2013, 'iana', '862' ),
    ( 2013, 'iana', 'csPC862LatinHebrew' ),
    ( 2014, 'iana', 'PC8-Turkish' ),
    ( 2014, 'iana', 'csPC8Turkish' ),
    ( 2015, 'iana', 'IBM-Symbols' ),
    ( 2015, 'iana', 'csIBMSymbols' ),
    ( 2016, 'iana', 'IBM-Thai' ),
    ( 2016, 'iana', 'csIBMThai' ),
    ( 2017, 'iana', 'HP-Legal' ),
    ( 2017, 'iana', 'csHPLegal' ),
    ( 2018, 'iana', 'HP-Pi-font' ),
    ( 2018, 'iana', 'csHPPiFont' ),
    ( 2019, 'iana', 'HP-Math8' ),
    ( 2019, 'iana', 'csHPMath8' ),
    ( 2020, 'iana', 'Adobe-Symbol-Encoding' ),
    ( 2020, 'iana', 'csHPPSMath' ),
    ( 2021, 'iana', 'HP-DeskTop' ),
    ( 2021, 'iana', 'csHPDesktop' ),
    ( 2022, 'iana', 'Ventura-Math' ),
    ( 2022, 'iana', 'csVenturaMath' ),
    ( 2023, 'iana', 'Microsoft-Publishing' ),
    ( 2023, 'iana', 'csMicrosoftPublishing' ),
    ( 2024, 'iana', 'Windows-31J' ),
    ( 2024, 'iana', 'csWindows31J' ),
    ( 2025, 'iana', 'GB2312' ),
    ( 2025, 'iana', 'csGB2312' ),
    ( 2026, 'iana', 'Big5' ),
    ( 2026, 'iana', 'csBig5' ),
    ( 2027, 'iana', 'macintosh' ),
    ( 2027, 'iana', 'mac' ),
    ( 2027, 'iana', 'csMacintosh' ),
    ( 2028, 'iana', 'IBM037' ),
    ( 2028, 'iana', 'cp037' ),
    ( 2028, 'iana', 'ebcdic-cp-us' ),
    ( 2028, 'iana', 'ebcdic-cp-ca' ),
    ( 2028, 'iana', 'ebcdic-cp-wt' ),
    ( 2028, 'iana', 'ebcdic-cp-nl' ),
    ( 2028, 'iana', 'csIBM037' ),
    ( 2029, 'iana', 'IBM038' ),
    ( 2029, 'iana', 'EBCDIC-INT' ),
    ( 2029, 'iana', 'cp038' ),
    ( 2029, 'iana', 'csIBM038' ),
    ( 2030, 'iana', 'IBM273' ),
    ( 2030, 'iana', 'CP273' ),
    ( 2030, 'iana', 'csIBM273' ),
    ( 2031, 'iana', 'IBM274' ),
    ( 2031, 'iana', 'EBCDIC-BE' ),
    ( 2031, 'iana', 'CP274' ),
    ( 2031, 'iana', 'csIBM274' ),
    ( 2032, 'iana', 'IBM275' ),
    ( 2032, 'iana', 'EBCDIC-BR' ),
    ( 2032, 'iana', 'cp275' ),
    ( 2032, 'iana', 'csIBM275' ),
    ( 2033, 'iana', 'IBM277' ),
    ( 2033, 'iana', 'EBCDIC-CP-DK' ),
    ( 2033, 'iana', 'EBCDIC-CP-NO' ),
    ( 2033, 'iana', 'csIBM277' ),
    ( 2034, 'iana', 'IBM278' ),
    ( 2034, 'iana', 'CP278' ),
    ( 2034, 'iana', 'ebcdic-cp-fi' ),
    ( 2034, 'iana', 'ebcdic-cp-se' ),
    ( 2034, 'iana', 'csIBM278' ),
    ( 2035, 'iana', 'IBM280' ),
    ( 2035, 'iana', 'CP280' ),
    ( 2035, 'iana', 'ebcdic-cp-it' ),
    ( 2035, 'iana', 'csIBM280' ),
    ( 2036, 'iana', 'IBM281' ),
    ( 2036, 'iana', 'EBCDIC-JP-E' ),
    ( 2036, 'iana', 'cp281' ),
    ( 2036, 'iana', 'csIBM281' ),
    ( 2037, 'iana', 'IBM284' ),
    ( 2037, 'iana', 'CP284' ),
    ( 2037, 'iana', 'ebcdic-cp-es' ),
    ( 2037, 'iana', 'csIBM284' ),
    ( 2038, 'iana', 'IBM285' ),
    ( 2038, 'iana', 'CP285' ),
    ( 2038, 'iana', 'ebcdic-cp-gb' ),
    ( 2038, 'iana', 'csIBM285' ),
    ( 2039, 'iana', 'IBM290' ),
    ( 2039, 'iana', 'cp290' ),
    ( 2039, 'iana', 'EBCDIC-JP-kana' ),
    ( 2039, 'iana', 'csIBM290' ),
    ( 2040, 'iana', 'IBM297' ),
    ( 2040, 'iana', 'cp297' ),
    ( 2040, 'iana', 'ebcdic-cp-fr' ),
    ( 2040, 'iana', 'csIBM297' ),
    ( 2041, 'iana', 'IBM420' ),
    ( 2041, 'iana', 'cp420' ),
    ( 2041, 'iana', 'ebcdic-cp-ar1' ),
    ( 2041, 'iana', 'csIBM420' ),
    ( 2042, 'iana', 'IBM423' ),
    ( 2042, 'iana', 'cp423' ),
    ( 2042, 'iana', 'ebcdic-cp-gr' ),
    ( 2042, 'iana', 'csIBM423' ),
    ( 2043, 'iana', 'IBM424' ),
    ( 2043, 'iana', 'cp424' ),
    ( 2043, 'iana', 'ebcdic-cp-he' ),
    ( 2043, 'iana', 'csIBM424' ),
    ( 2011, 'iana', 'IBM437' ),
    ( 2011, 'iana', 'cp437' ),
    ( 2011, 'iana', '437' ),
    ( 2011, 'iana', 'csPC8CodePage437' ),
    ( 2044, 'iana', 'IBM500' ),
    ( 2044, 'iana', 'CP500' ),
    ( 2044, 'iana', 'ebcdic-cp-be' ),
    ( 2044, 'iana', 'ebcdic-cp-ch' ),
    ( 2044, 'iana', 'csIBM500' ),
    ( 2045, 'iana', 'IBM851' ),
    ( 2045, 'iana', 'cp851' ),
    ( 2045, 'iana', '851' ),
    ( 2045, 'iana', 'csIBM851' ),
    ( 2010, 'iana', 'IBM853' ),
    ( 2010, 'iana', 'cp852' ),
    ( 2010, 'iana', '852' ),
    ( 2010, 'iana', 'csPCp852' ),
    ( 2046, 'iana', 'IBM855' ),
    ( 2046, 'iana', 'cp855' ),
    ( 2046, 'iana', '855' ),
    ( 2046, 'iana', 'csIBM855' ),
    ( 2047, 'iana', 'IBM857' ),
    ( 2047, 'iana', 'cp857' ),
    ( 2047, 'iana', '857' ),
    ( 2047, 'iana', 'csIBM857' ),
    ( 2048, 'iana', 'IBM860' ),
    ( 2048, 'iana', 'cp860' ),
    ( 2048, 'iana', '860' ),
    ( 2048, 'iana', 'csIBM860' ),
    ( 2049, 'iana', 'IBM861' ),
    ( 2049, 'iana', 'cp861' ),
    ( 2049, 'iana', '861' ),
    ( 2049, 'iana', 'cp-is' ),
    ( 2049, 'iana', 'csIBM861' ),
    ( 2050, 'iana', 'IBM863' ),
    ( 2050, 'iana', 'cp863' ),
    ( 2050, 'iana', '863' ),
    ( 2050, 'iana', 'csIBM863' ),
    ( 2051, 'iana', 'IBM864' ),
    ( 2051, 'iana', 'cp864' ),
    ( 2051, 'iana', 'csIBM864' ),
    ( 2052, 'iana', 'IBM865' ),
    ( 2052, 'iana', 'cp865' ),
    ( 2052, 'iana', '865' ),
    ( 2052, 'iana', 'csIBM865' ),
    ( 2053, 'iana', 'IBM868' ),
    ( 2053, 'iana', 'CP868' ),
    ( 2053, 'iana', 'cp-ar' ),
    ( 2053, 'iana', 'csIBM868' ),
    ( 2054, 'iana', 'IBM869' ),
    ( 2054, 'iana', 'cp869' ),
    ( 2054, 'iana', '869' ),
    ( 2054, 'iana', 'cp-gr' ),
    ( 2054, 'iana', 'csIBM869' ),
    ( 2055, 'iana', 'IBM870' ),
    ( 2055, 'iana', 'CP870' ),
    ( 2055, 'iana', 'ebcdic-cp-roece' ),
    ( 2055, 'iana', 'ebcdic-cp-yu' ),
    ( 2055, 'iana', 'csIBM870' ),
    ( 2056, 'iana', 'IBM871' ),
    ( 2056, 'iana', 'CP871' ),
    ( 2056, 'iana', 'ebcdic-cp-is' ),
    ( 2056, 'iana', 'csIBM871' ),
    ( 2057, 'iana', 'IBM880' ),
    ( 2057, 'iana', 'cp880' ),
    ( 2057, 'iana', 'EBCDIC-Cyrillic' ),
    ( 2057, 'iana', 'csIBM880' ),
    ( 2058, 'iana', 'IBM891' ),
    ( 2058, 'iana', 'cp891' ),
    ( 2058, 'iana', 'csIBM891' ),
    ( 2059, 'iana', 'IBM903' ),
    ( 2059, 'iana', 'cp903' ),
    ( 2059, 'iana', 'csIBM903' ),
    ( 2060, 'iana', 'IBM904' ),
    ( 2060, 'iana', 'cp904' ),
    ( 2060, 'iana', '904' ),
    ( 2060, 'iana', 'csIBBM904' ),
    ( 2061, 'iana', 'IBM905' ),
    ( 2061, 'iana', 'CP905' ),
    ( 2061, 'iana', 'ebcdic-cp-tr' ),
    ( 2061, 'iana', 'csIBM905' ),
    ( 2062, 'iana', 'IBM918' ),
    ( 2062, 'iana', 'CP918' ),
    ( 2062, 'iana', 'ebcdic-cp-ar2' ),
    ( 2062, 'iana', 'csIBM918' ),
    ( 2063, 'iana', 'IBM1026' ),
    ( 2063, 'iana', 'CP1026' ),
    ( 2063, 'iana', 'csIBM1026' ),
    ( 2064, 'iana', 'EBCDIC-AT-DE' ),
    ( 2064, 'iana', 'csIBMEBCDICATDE' ),
    ( 2065, 'iana', 'EBCDIC-AT-DE-A' ),
    ( 2065, 'iana', 'csEBCDICATDEA' ),
    ( 2066, 'iana', 'EBCDIC-CA-FR' ),
    ( 2066, 'iana', 'csEBCDICCAFR' ),
    ( 2067, 'iana', 'EBCDIC-DK-NO' ),
    ( 2067, 'iana', 'csEBCDICDKNO' ),
    ( 2068, 'iana', 'EBCDIC-DK-NO-A' ),
    ( 2068, 'iana', 'csEBCDICDKNOA' ),
    ( 2069, 'iana', 'EBCDIC-FI-SE' ),
    ( 2069, 'iana', 'csEBCDICFISE' ),
    ( 2070, 'iana', 'EBCDIC-FI-SE-A' ),
    ( 2070, 'iana', 'csEBCDICFISEA' ),
    ( 2071, 'iana', 'EBCDIC-FR' ),
    ( 2071, 'iana', 'csEBCDICFR' ),
    ( 2072, 'iana', 'EBCDIC-IT' ),
    ( 2072, 'iana', 'csEBCDICIT' ),
    ( 2073, 'iana', 'EBCDIC-PT' ),
    ( 2073, 'iana', 'csEBCDICPT' ),
    ( 2074, 'iana', 'EBCDIC-ES' ),
    ( 2074, 'iana', 'csEBCDICES' ),
    ( 2075, 'iana', 'EBCDIC-ES-A' ),
    ( 2075, 'iana', 'csEBCDICESA' ),
    ( 2076, 'iana', 'EBCDIC-ES-S' ),
    ( 2076, 'iana', 'csEBCDICESS' ),
    ( 2077, 'iana', 'EBCDIC-UK' ),
    ( 2077, 'iana', 'csEBCDICUK' ),
    ( 2078, 'iana', 'EBCDIC-US' ),
    ( 2078, 'iana', 'csEBCDICUS' ),
    ( 2079, 'iana', 'UNKNOWN-8BIT' ),
    ( 2079, 'iana', 'csUnknown8BiT' ),
    ( 2080, 'iana', 'MNEMONIC' ),
    ( 2080, 'iana', 'csMnemonic' ),
    ( 2081, 'iana', 'MNEM' ),
    ( 2081, 'iana', 'csMnem' ),
    ( 2082, 'iana', 'VISCII' ),
    ( 2082, 'iana', 'csVISCII' ),
    ( 2083, 'iana', 'VIQR' ),
    ( 2083, 'iana', 'csVIQR' ),
    ( 2084, 'iana', 'KOI8-R' ),
    ( 2084, 'iana', 'csKOI8R' ),
    ( 2085, 'iana', 'HZ-GB-2312' ),
    ( 2086, 'iana', 'IBM866' ),
    ( 2086, 'iana', 'cp866' ),
    ( 2086, 'iana', '866' ),
    ( 2086, 'iana', 'csIBM866' ),
    ( 2087, 'iana', 'IBM775' ),
    ( 2087, 'iana', 'cp775' ),
    ( 2087, 'iana', 'csPC775Baltic' ),
    ( 2088, 'iana', 'KOI8-U' ),
    ( 2089, 'iana', 'IBM00858' ),
    ( 2089, 'iana', 'CCSID00858' ),
    ( 2089, 'iana', 'CP00858' ),
    ( 2089, 'iana', 'PC-Multilingual-850+euro' ),
    ( 2090, 'iana', 'IBM00924' ),
    ( 2090, 'iana', 'CCSID00924' ),
    ( 2090, 'iana', 'CP00924' ),
    ( 2090, 'iana', 'ebcdic-Latin9--euro' ),
    ( 2091, 'iana', 'IBM01140' ),
    ( 2091, 'iana', 'CCSID01140' ),
    ( 2091, 'iana', 'CP01140' ),
    ( 2091, 'iana', 'ebcdic-us-37+euro' ),
    ( 2092, 'iana', 'IBM01141' ),
    ( 2092, 'iana', 'CCSID01141' ),
    ( 2092, 'iana', 'CP01141' ),
    ( 2092, 'iana', 'ebcdic-de-273+euro' ),
    ( 2093, 'iana', 'IBM01142' ),
    ( 2093, 'iana', 'CCSID01142' ),
    ( 2093, 'iana', 'CP01142' ),
    ( 2093, 'iana', 'ebcdic-dk-277+euro' ),
    ( 2093, 'iana', 'ebcdic-no-277+euro' ),
    ( 2094, 'iana', 'IBM01143' ),
    ( 2094, 'iana', 'CCSID01143' ),
    ( 2094, 'iana', 'CP01143' ),
    ( 2094, 'iana', 'ebcdic-fi-278+euro' ),
    ( 2094, 'iana', 'ebcdic-se-278+euro' ),
    ( 2095, 'iana', 'IBM01144' ),
    ( 2095, 'iana', 'CCSID01144' ),
    ( 2095, 'iana', 'CP01144' ),
    ( 2095, 'iana', 'ebcdic-it-280+euro' ),
    ( 2096, 'iana', 'IBM01145' ),
    ( 2096, 'iana', 'CCSID01145' ),
    ( 2096, 'iana', 'CP01145' ),
    ( 2096, 'iana', 'ebcdic-es-284+euro' ),
    ( 2097, 'iana', 'IBM01146' ),
    ( 2097, 'iana', 'CCSID01146' ),
    ( 2097, 'iana', 'CP01146' ),
    ( 2097, 'iana', 'ebcdic-gb-285+euro' ),
    ( 2098, 'iana', 'IBM01147' ),
    ( 2098, 'iana', 'CCSID01147' ),
    ( 2098, 'iana', 'CP01147' ),
    ( 2098, 'iana', 'ebcdic-fr-297+euro' ),
    ( 2099, 'iana', 'IBM01148' ),
    ( 2099, 'iana', 'CCSID01148' ),
    ( 2099, 'iana', 'CP01148' ),
    ( 2099, 'iana', 'ebcdic-international-500+euro' ),
    ( 2100, 'iana', 'IBM01149' ),
    ( 2100, 'iana', 'CCSID01149' ),
    ( 2100, 'iana', 'CP01149' ),
    ( 2100, 'iana', 'ebcdic-is-871+euro' ),
    ( 2101, 'iana', 'Big5-HKSCS' ),
    ( 2102, 'iana', 'IBM1047' ),
    ( 2102, 'iana', 'IBM-1047' ),
    ( 2103, 'iana', 'PTCP154' ),
    ( 2103, 'iana', 'csPTCP154' ),
    ( 2103, 'iana', 'PT154' ),
    ( 2103, 'iana', 'CP154' ),
    ( 2103, 'iana', 'Cyrillic-Asian' ),
    ( 2104, 'iana', 'Amiga-1251' ),
    ( 2104, 'iana', 'Ami1251' ),
    ( 2104, 'iana', 'Amiga1251' ),
    ( 2104, 'iana', 'Ami-1251' ),
    ( 2105, 'iana', 'KOI7-switched' ),
    ( 2106, 'iana', 'BRF' ),
    ( 2106, 'iana', 'csBRF' ),
    ( 2107, 'iana', 'TSCII' ),
    ( 2107, 'iana', 'csTSCII' ),
    ( 2108, 'iana', 'CP51932' ),
    ( 2108, 'iana', 'csCP51932' ),
    ( 2109, 'iana', 'windows-874' ),
    ( 2250, 'iana', 'windows-1250' ),
    ( 2251, 'iana', 'windows-1251' ),
    ( 2252, 'iana', 'windows-1252' ),
    ( 2253, 'iana', 'windows-1253' ),
    ( 2254, 'iana', 'windows-1254' ),
    ( 2255, 'iana', 'windows-1255' ),
    ( 2256, 'iana', 'windows-1256' ),
    ( 2257, 'iana', 'windows-1257' ),
    ( 2258, 'iana', 'windows-1258' ),
    ( 2259, 'iana', 'TIS-620' )
;
