CREATE or replace FUNCTION lib.unnest_(icr public.transform2, OUT a double precision, OUT b double precision, OUT c double precision, OUT d double precision, OUT x double precision, OUT y double precision) RETURNS record
    LANGUAGE sql
    AS $_$
	select 
		$1.a as a, 
		$1.b as b, 
		$1.c as c, 
		$1.d as d, 
		$1.x as x, 
		$1.y as y
	;	
$_$;


CREATE or replace FUNCTION lib.unnest_(icr public.cropresult, OUT data bytea, OUT a double precision, OUT b double precision, OUT c double precision, OUT d double precision, OUT x double precision, OUT y double precision) RETURNS record
    LANGUAGE sql
    AS $_$
	select 
		$1.data as data, 
		$1.transform.a as a, 
		$1.transform.b as b, 
		$1.transform.c as c, 
		$1.transform.d as d, 
		$1.transform.x as x, 
		$1.transform.y as y
	;	
$_$;
