@echo off
SetLocal EnableExtensions EnableDelayedExpansion


set DB=%1
IF -%1==- (
 SET DB=autocode
)

set CD=%~dp0
if %CD:~-1%==\ set CD=%CD:~0,-1%
set CCD=%CD:\=/%
::set CCD=%CD%


SET TMPD=%TEMP%
IF -%TMPD% EQU - SET TMPD=%TMP%
SET tempdir=%TMPD%\__vitml.db.2.%random%
IF EXIST %tempdir% RD /S /Q %tempdir%
MD %tempdir%
cacls "%tempdir%" /e /t /c /g postgres:f


SET DB_USER=%2
IF -%2==- (
 SET DB_USER=autocode
)

SET DB_PASSWORD=autocode

for /f "tokens=2"  %%s in ('sc query ^| findstr /r "postgresql-[0-9\.]*$"') do SET PG_SERVICE=%%s

for /f "tokens=4,9*" %%a in ('sc qc %PG_SERVICE% ^| findstr /n .* ^| findstr ^7:') do (
	set PGBIN=%%~dpa
	set DBDATA=%%b )

IF not exist %PGBIN%psql.exe (
	echo [FATAL] Service %PG_SERVICE% doesn`t exist :  %PGBIN%
	rem exit
)

for %%i in (%PGBIN%\..\) do set PGDIR=%%~dpi
IF %PGDIR:~-1%==\ SET PGDIR=%PGDIR:~0,-1%

SET PG=%PGBIN%psql.exe
SET PGPASSWORD=postgres

SET CT=%PGDIR%\share\extension
SET CTL=%PGDIR%\lib
SET DT=%date:~6,4%%date:~3,2%%date:~0,2%%time:~0,2%%time:~3,2%

set myos=windows
reg Query "HKLM\Hardware\Description\System\CentralProcessor\0" | findstr /i "x86" > NUL && set mymachine=x86 || set mymachine=x64

set /p _mymajor=<%CD%\.version.major
set /p _myminor=<%CD%\.version.minor
set /p _myrelease=<%CD%\.version.release
set /p myrevision=<%CD%\.revision
set /p mybuild=<%CD%\.build
set /p myrc=<%CD%\.rc
set /p mypassport=<%CD%\.passport

set contrib=
for /f %%c in (%CD%\.contrib) do set contrib=!contrib! %%c
for /f %%c in (%CD%\.configure) do set config=!config! %%c
::echo config=%config%
::@echo off
::for  %%a in (%config%) do echo %CD%\configure\
::exit /B
set CCT=%CT:\=/%
set CCTL=%CTL:\=/%

for /f "tokens=*" %%i in (%CD%\vars.psql_) do (
	set str=%%i
	set str=!str:%%%%VERSION_MAJOR%%%%=%_mymajor%!
	set str=!str:%%%%VERSION_MINOR%%%%=%_myminor%!
	set str=!str:%%%%VERSION_RELEASE%%%%=%_myrelease%!
	set str=!str:%%%%BUILD%%%%=%mybuild%!
	set str=!str:%%%%REVISION%%%%=%myrevision%!
	set str=!str:%%%%OS%%%%=%myos%!
	set str=!str:%%%%RC%%%%=%myrc%!
	set str=!str:%%%%MACHINE%%%%=%mymachine%!
	set str=!str:%%%%PASSPORT%%%%=%mypassport%!
	set str=!str:%%%%DBNAME%%%%=%DB%!
	set str=!str:%%%%DBUSER%%%%=%DB_USER%!
	set str=!str:%%%%DBPASS%%%%=%DB_PASSWORD%!
	set str=!str:%%%%DATADIR%%%%=%DBDATA%!
	set str=!str:%%%%CONTRIBLIST%%%%=%contrib%!
	set str=!str:%%%%CONTRIBDIR%%%%=%CCT%!
	set str=!str:%%%%CONTRIBLIBDIR%%%%=%CCTL%!
	echo !str! >> %tempdir%\vars.psql)

::set res=
::type nul > %tempdir%\_res
::echo cd = %CD% 
::echo ccd = %CCD% 
::echo _TMP = %tempdir%
::type %tempdir%\vars.psql


%PG% -q -t -v _DIR="%CCD%" -v _TMP="%tempdir%" -w postgres postgres  < %CD%\install.sql 2>&1 |findstr ERROR > %tempdir%\_res


set /p res=<%tempdir%\_res
set res=
type nul > %tempdir%\_res

if not -%res%==- (
	echo [FATAL] Error setting DB up : 
	type %tempdir%\_res)
set binfs=%ALLUSERSPROFILE%\VIT\edgedb\pgdata\binfs
@echo off
::%PG% -q -t -v _DIR="%CCD%" -v _TMP="%tempdir%" -w postgres postgres  <"
SET PGPASSWORD=%DB_PASSWORD%

%PG% -q -t -d %DB% -U %DB_USER% -c "select core.db_init();" > %tempdir%\_res
set /p res=<%tempdir%\_res
::echo START = %res%

%PG% -q -t -d %DB% -U %DB_USER% -c "select core.setopt('public','plateimage_store_root','%binfs%');" > %tempdir%\_res
set /p res=<%tempdir%\_res
::echo START = %res%

%PG% -q -t -d %DB% -U %DB_USER% -c "select core.setopt('public','plateimage_store_opt','[\"%Y\",\"%m\",\"%d\",\"%H\"]');" > %tempdir%\_res
set /p res=<%tempdir%\_res
::echo START = %res%

rd /q /s %tempdir%
