create or replace function binfs.path( istore varchar, ikey anyelement ) returns varchar as $$
declare
	r record;
begin
	select into r * from binfs.store where name = istore;
	if not found then
		return null;
	end if;
	return binfs.realpath(row_to_json(r)::text, ikey::text);
end;
$$ language plpgsql;
