
CREATE or replace FUNCTION core.putopt(character varying, character varying, character varying, character varying, character varying, character varying, integer) RETURNS void AS $$
declare
	isdefault boolean;
begin 
	select into isdefault "value" = "default" from core.opt where "section" = $1 and "key" = $2; 
	if not found then
		insert into core.opt ( "section", "key", "value", "default", "type", "group", "weight" ) values ( $1, $2, $3, $4, $5, $6, $7 );
	else
		update core.opt set "default" = $4, "type" = $5 where "section" = $1 and "key" = $2; 
		if isdefault then
			perform core.resetopt ( $1, $2 );
		end if;
	end if;
end;
$$ language plpgsql;

CREATE or replace FUNCTION core.putopt(character varying, character varying, character varying, character varying, character varying, integer) RETURNS void AS $$
    select core.putopt ( 'core', $1, $2, $3, $4, $5, $6 ); $$ language sql;

