delete from public.transformations;
insert into public.transformations values 
	('xml.enquote', '&', '&amp;', 'ig', 1),
	('xml.enquote', '<', '&lt;', 'ig', 2),
	('xml.enquote', '>', '&gt;', 'ig', 3),
	('xml.enquote', '"', '&quot;', 'ig', 4),
	('xml.enquote', '\\^', '&circ;', 'ig', 5),
	('xml.enquote', '~', '&tilde;', 'ig', 6),
	('xml.enquote', '''', '&#39;', 'ig', 7),
	('xml.enquote', '\\$', '&#36;', 'ig', 8),
	('xml.dequote', '&lt;', '<', 'ig', 1),
	('xml.dequote', '&gt;', '>', 'ig', 2),
	('xml.dequote', '&quot;', '"', 'ig', 3),
	('xml.dequote', '&circ;', '^', 'ig', 4),
	('xml.dequote', '&tilde;', '~', 'ig', 5),
	('xml.dequote', '&#([0-9]+),', '''||chr(\\1)||''', 'ig', 6),
	('xml.dequote', '&amp;', '&', 'ig', 7),
	('xml.dequote', '([^''])''([^''])', '\\1''''\\2', 'ig', 8),
	('plate', '[\\s!"#$%&''()*+,-./:;<=>?[\\]^_`~]*', '', 'ig', 1),
	('plate.cyr', '[ЙЁЪЪЫЇЄҐ]', '', 'ig', 1),
	('plate.cyr.ruslat', 'АВЕІКМНОРСТХ', 'ABEIKMHOPCTX', 'itranslate', 1),
	('plate.cyr.latrus', 'ABEIKMHOPCTX', 'АВЕІКМНОРСТХ', 'itranslate', 1),
	('striplines', '[\\r\\n]+[\\t ]*', '', 'ig', 1),
	('doublequote', '"', '""', 'ig', 1),
	('slashdoublequote', '"', '\\"', 'ig', 1),
	('classless', '[Ö0QОOӨΘΟϴ]', 'O', 'ig', 1),
	('classless', '[СCGĆČԌ]', 'C', 'ig', 2),
	('classless', '[1I7]', '1', 'ig', 3),
	('classless', '[SŠ]', 'S', 'ig', 4),
	('classless', '[ZŽ]', 'Z', 'ig', 5),
	('classless', '[ДΔמ]', 'Д', 'ig', 6),
	('classless', '[УYץ]', 'Y', 'ig', 7),
	('classless', '[АAÄÅ]', 'A', 'ig', 8),
	('classless', '[ВB8]', 'B', 'ig', 9),
	('classless', '[UÜ]', 'U', 'ig', 10),
	('classless', '[ШW]', 'W', 'ig', 11),
	('classless', '[DĐ]', 'D', 'ig', 12),
	('classless', '[ЕEΣΕΞ]', 'E', 'ig', 13)
;

