delete from public.stringtable where section = 'opt' and key ~ '^service\.';

insert into public.stringtable values 
	('opt', 'ru', 'service._mnt_mediastore_reduce_step_min'    	, 'мин. относительный шаг глубины хранения медиа'),
	('opt', 'en', 'service._mnt_mediastore_reduce_step_min'    	, 'min. relative media store depth step'),
	('opt', 'ru', 'service._mnt_mediastore_reduce_step_max'    	, 'макс. относительный шаг глубины хранения медиа'),
	('opt', 'en', 'service._mnt_mediastore_reduce_step_max'    	, 'max. relative media store depth step'),
	('opt', 'ru', 'service._mnt_mediastore_minimum_space'      	, 'минимальный остаток места на диске в байтах'),
	('opt', 'en', 'service._mnt_mediastore_minimum_space'      	, 'minimum reserved space for mediastore')
;

insert into public.stringtable values 
	('opt', 'ru', 'service.rectification_folder_result'    		, 'папка с результатами обработки'),
	('opt', 'en', 'service.rectification_folder_result'    		, 'folder with the processing results'),
	('opt', 'ru', 'service.rectification_folder_task'      		, 'папка с заданиями на обработку'),
	('opt', 'en', 'service.rectification_folder_task'      		, 'folder with data for processing'),
	('opt', 'ru', 'service.rectification_folder_temp'      		, 'папка для временных файлов'),
	('opt', 'en', 'service.rectification_folder_temp'      		, 'folder for temporary files'),
	('opt', 'ru', 'service.rectification_force_rect_width' 		, 'принудительная установка ширины изображения номера в пикс.'),
	('opt', 'en', 'service.rectification_force_rect_width' 		, 'define the license plate width in pixels forcibly'),
	('opt', 'ru', 'service.rectification_margin_bottom'    		, 'нижний отступ в долях номера'),
	('opt', 'en', 'service.rectification_margin_bottom'    		, 'bottom spacing in the fractions of the license plate'),
	('opt', 'ru', 'service.rectification_margin_left'      		, 'левый отступ в долях номера'),
	('opt', 'en', 'service.rectification_margin_left'      		, 'left spacing in the fractions of the license plate '),
	('opt', 'ru', 'service.rectification_margin_right'     		, 'правый отступ в долях номера'),
	('opt', 'en', 'service.rectification_margin_right'     		, 'right spacing in the fractions of the license plate'),
	('opt', 'ru', 'service.rectification_margin_top'       		, 'верхний отступ в долях номера'),
	('opt', 'en', 'service.rectification_margin_top'       		, 'top spacing in the fractions of the license plate'),
	('opt', 'ru', 'service.rectification_opt_default_param'		, 'параметры обработки канала по умолчанию'),
	('opt', 'en', 'service.rectification_opt_default_param'		, 'channels processing parameters by default'),
	('opt', 'ru', 'service.rectification_opt_timeout'      		, 'время жизни параметров обработки канала'),
	('opt', 'en', 'service.rectification_opt_timeout'      		, 'lifetime of the channels processing parameters'),
	('opt', 'ru', 'service.rectification_timeout'          		, 'предельное время обработки'),
	('opt', 'en', 'service.rectification_timeout'          		, 'maximum time of the processing'),
	('opt', 'ru', 'service.rectification_select_result'			, 'Стратегия использования результатов перераспознавания'),
	('opt', 'en', 'service.rectification_select_result'			, 'Verification result strategy'),
	('opt', 'ru', 'service.rectification_send_event'			, 'инициировать логическое событие по распознаванию'),
	('opt', 'en', 'service.rectification_send_event'			, 'lpr: send logical event'),
	('opt', 'ru', 'service.rectification_send_notify'			,'Посылать нотификацию о перераспознавании'),
	('opt', 'en', 'service.rectification_send_notify'			,'Send notify on rectificate')
;


insert into public.stringtable values 
	('opt', 'ru', 'service.platear_rectificate_as_is'         	, 'запускать на уточнение любой результат распознавания'),
	('opt', 'en', 'service.platear_rectificate_as_is'         	, 'additional recognition for every LPR result'),
	('opt', 'ru', 'service.platear_rectificate_check_template'	, 'уточнять только при отсутствии в списке шаблонов'),
	('opt', 'en', 'service.platear_rectificate_check_template'	, 'additional recognition only if LPR serult is absent in the list of templates'),
	('opt', 'ru', 'service.platear_rectificate_force_country' 	, 'заглушка страны на время уточнения'),
	('opt', 'en', 'service.platear_rectificate_force_country' 	, 'dummy for country during the additional recognition'),
	('opt', 'ru', 'service.platear_rectificate_force_template'	, 'заглушка шаблона на время уточнения'),
	('opt', 'en', 'service.platear_rectificate_force_template'	, 'dummy for template during the additional recognition'),
	('opt', 'ru', 'service.platear_rectificate_hide_failed'   	, 'скрывать распознавания при отрицательном результате уточнения'),
	('opt', 'en', 'service.platear_rectificate_hide_failed'   	, 'hide the LPR results if the additional recognition results are negative'),
	('opt', 'ru', 'service.platear_rectificate_plate_plump'   	, 'заглушка номера на время уточнения'),
	('opt', 'en', 'service.platear_rectificate_plate_plump'   	, 'dummy for license plate the additional recognition'),
	('opt', 'ru', 'service.platear_rectificate_reset_plate'   	, 'заглушать ли номер на время уточнения'),
	('opt', 'en', 'service.platear_rectificate_reset_plate'   	, 'dummy the license plate during the additional recognition'),
	('opt', 'ru', 'service.platear_rectificate_reset_template'	, 'сбрасывать страну и шаблон на время уточнения'),
	('opt', 'en', 'service.platear_rectificate_reset_template'	, 'reset country and template during the additional recognition'),
	('opt', 'ru', 'service.platear_rectificate_template_list' 	, 'список шаблонов для проверки при уточнении'),
	('opt', 'en', 'service.platear_rectificate_template_list' 	, 'the list of templates for additional recognition'),
	('opt', 'ru', 'service.platear_rectificate_use_rect'      	, 'использовать распознанный номер при уточнении результата распознавания'),
	('opt', 'en', 'service.platear_rectificate_use_rect'      	, 'use the LPR results during the additional recognition')
;

delete from public.stringtable where section = 'tablespec' and key ~ '^service\.';
insert into public.stringtable values 
	('tablespec', 'ru', 'service.maintenance_clipage'          	, 'Настройки глубины хранения'),
	('tablespec', 'en', 'service.maintenance_clipage'          	, 'Настройки глубины хранения'),
	('tablespec', 'ru', 'service.maintenance_clipage.age'      	, 'Глубина хранения'),
	('tablespec', 'en', 'service.maintenance_clipage.age'      	, 'Storage period'),
	('tablespec', 'ru', 'service.maintenance_clipage.andcond'  	, 'Доп. условие'),
	('tablespec', 'en', 'service.maintenance_clipage.andcond'  	, 'Additional condition'),
	('tablespec', 'ru', 'service.maintenance_clipage.column'   	, 'Колонка'),
	('tablespec', 'en', 'service.maintenance_clipage.column'   	, 'Column'),
	('tablespec', 'ru', 'service.maintenance_clipage.memo'     	, 'Примечания'),
	('tablespec', 'en', 'service.maintenance_clipage.memo'     	, 'Notes'),
	('tablespec', 'ru', 'service.maintenance_clipage.name'     	, 'Имя профиля'),
	('tablespec', 'en', 'service.maintenance_clipage.name'     	, 'Name of the profile'),
	('tablespec', 'ru', 'service.maintenance_clipage.table'    	, 'Таблица'),
	('tablespec', 'en', 'service.maintenance_clipage.table'    	, 'Table')
;

insert into public.stringtable values 
	('opt', 'ru', 'service.platear_rectificate_skip_edited'		, 'пропускать отредактированные вручную'),
	('opt', 'en', 'service.platear_rectificate_skip_edited'		, 'skip manual edited recognitions'),
	('opt', 'ru', 'service.platear_rectificate_special_only'	, 'запускать на уточнение только специальные распознавания'),
	('opt', 'en', 'service.platear_rectificate_special_only'	, 'additional recognition for special result only'),
	('opt', 'ru', 'service.platear_rectificate_hide_timeout'	, 'скрывать распознавания при таймауте уточнения'),
	('opt', 'en', 'service.platear_rectificate_hide_timeout'	, 'hide the LPR results if the additional recognition results are timeouted')
;
