-- update script for X.X core patch XXXX


do language plpgsql
$_$
declare 
mymajor integer := 2;
myminor integer := 0;
mytiny  integer := 0;
mypatch integer := 1;
myrev   bigint  := 201508041800;
lastpatch integer;
begin

if not exists (select * from information_schema.columns where table_schema = 'core' and table_name = 'version' and column_name = 'patch') then return; end if;
select into lastpatch patch from core.version where module = 'core' and major = mymajor and minor = myminor and tiny = mytiny order by patch desc limit 1;
if found and lastpatch = mypatch - 1 then

-- BEGIN PATCH

alter table core.version alter revision type bigint;
update public.plate_mediastore set maxage = '0'::interval;
alter table public.plate_mediastore add minage interval;
alter table public.plate_mediastore alter maxage set not null;
alter table public.plate_mediastore alter maxage set default '0'::interval;
alter table public.plate_mediastore alter minage set not null;
alter table public.plate_mediastore alter minage set default '0'::interval;

if exists (select * from information_schema.tables where table_schema = 'core' and table_name = 'relcount') then
	alter table core.relcount rename to relcounting;
end if;	

-- END PATCH

	insert into core.version (module,major,minor,tiny,patch,revision) values('core',mymajor,myminor,mytiny,mypatch,myrev);
end if;	
end;
$_$;

