-- update script for X.X core patch XXXX


do language plpgsql
$_$
declare 
mymajor integer := 2;
myminor integer := 0;
mytiny  integer := 0;
mypatch integer := 4;
myrev   bigint  := 201604191800;
lastpatch integer;
begin

if not exists (select * from information_schema.columns where table_schema = 'core' and table_name = 'version' and column_name = 'patch') then return; end if;
select into lastpatch patch from core.version where module = 'core' and major = mymajor and minor = myminor and tiny = mytiny order by patch desc limit 1;
if found and lastpatch = mypatch - 1 then

-- BEGIN PATCH

drop rule if exists r_delete_mediastore_meta on public.plate_mediastore;
ALTER TABLE public.platear ADD COLUMN vehicle_length integer NOT NULL DEFAULT (-1);
ALTER TABLE public.platear ADD COLUMN lane integer NOT NULL DEFAULT 0;
COMMENT ON COLUMN public.platear.lane  IS 'Number of vehicle lanes';
  
-- END PATCH

	insert into core.version (module,major,minor,tiny,patch,revision) values('core',mymajor,myminor,mytiny,mypatch,myrev);
end if;
end;
$_$;

